Bug 740496 - A4 landcape formatted libreoffice documents are printed in portrait format and cropped when using PageSize=A4
Summary: A4 landcape formatted libreoffice documents are printed in portrait format an...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 08:54 UTC by Joachim Backes
Modified: 2012-02-27 10:28 UTC (History)
6 users (show)

Fixed In Version: ghostscript-cups-9.02-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 06:24:09 UTC


Attachments (Terms of Use)
A simple writer doc (a4 landscape; writer prints it in portait format) (8.79 KB, application/vnd.oasis.opendocument.text)
2011-09-22 11:01 UTC, Joachim Backes
no flags Details
pdf example (7.26 KB, application/pdf)
2011-09-28 16:21 UTC, Caolan McNamara
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 44664 None None None Never

Description Joachim Backes 2011-09-22 08:54:47 UTC
Description of problem:

after the todays F16 updates (Sep 22), updating a lot of libreoffice modules too, I have problems to  print by libreoffice pages of libreoffice documents having A4
landscape layout : The pages are printed in portrait layout so the left
and right part of the (printed) pages is missing. My printer is Samsung
ML-1660.

No such effect if directly printing [by libreoffice too] to a PDF printer
(cups-pdf-2.5.1-1.fc16.x86_64), and, naturally, no such effects in F15
(same printer driver).

Version-Release number of selected component (if applicable):

libreoffice-opensymbol-fonts-3.4.3.2-10.fc16.noarch
libreoffice-langpack-en-3.4.3.2-10.fc16.x86_64
libreoffice-wiki-publisher-3.4.3.2-10.fc16.x86_64
libreoffice-impress-3.4.3.2-10.fc16.x86_64
libreoffice-calc-3.4.3.2-10.fc16.x86_64
libreoffice-javafilter-3.4.3.2-10.fc16.x86_64
libreoffice-writer2xhtml-1.0.2-6.fc16.x86_64
libreoffice-base-3.4.3.2-10.fc16.x86_64
libreoffice-draw-3.4.3.2-10.fc16.x86_64
libreoffice-report-builder-3.4.3.2-10.fc16.x86_64
libreoffice-xsltfilter-3.4.3.2-10.fc16.x86_64
libreoffice-core-3.4.3.2-10.fc16.x86_64
libreoffice-emailmerge-3.4.3.2-10.fc16.x86_64
libreoffice-3.4.3.2-10.fc16.x86_64
libreoffice-bsh-3.4.3.2-10.fc16.x86_64
libreoffice-writer-3.4.3.2-10.fc16.x86_64
libreoffice-graphicfilter-3.4.3.2-10.fc16.x86_64
libreoffice-presentation-minimizer-3.4.3.2-10.fc16.x86_64
libreoffice-langpack-de-3.4.3.2-10.fc16.x86_64
libreoffice-math-3.4.3.2-10.fc16.x86_64
libreoffice-headless-3.4.3.2-10.fc16.x86_64
libreoffice-ure-3.4.3.2-10.fc16.x86_64
libreoffice-pyuno-3.4.3.2-10.fc16.x86_64
libreoffice-presenter-screen-3.4.3.2-10.fc16.x86_64
libreoffice-kde-3.4.3.2-10.fc16.x86_64
libreoffice-writer2latex-1.0.2-6.fc16.x86_64
libreoffice-rhino-3.4.3.2-10.fc16.x86_64
libreoffice-pdfimport-3.4.3.2-10.fc16.x86_64
libreoffice-ogltrans-3.4.3.2-10.fc16.x86_64

How reproducible:

always
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Caolan McNamara 2011-09-22 10:36:30 UTC
When you say "after the todays F16 updates" you suggest it worked fine before todays updates, so is that the case ? and if it was what were you upgrading from ? Is that a F-15 to F-16 upgrade ?

Attach a demo as well, not matter how trivial it might seem. e.g. writer I assume ?

/var/log/yum.log would be helpful on that front if you can't remember.

Comment 2 Joachim Backes 2011-09-22 10:59:51 UTC
(In reply to comment #1)
> When you say "after the todays F16 updates" you suggest it worked fine before
> todays updates, so is that the case ?

It is! Two days earlier, I had no such effect.

> and if it was what were you upgrading
> from ? Is that a F-15 to F-16 upgrade ?

No! It is my F16 I started with a fresh F16-Alpha installation. With all available updates until today.
> 
> Attach a demo as well, not matter how trivial it might seem. e.g. writer I
> assume ?

The effect appears for writer, but too for impress and draw. I will attach a simple writer doc.

> 
> /var/log/yum.log would be helpful on that front if you can't remember.

Sep 21 07:04:21 Updated: plymouth-core-libs-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:22 Updated: krb5-libs-1.9.1-13.fc16.x86_64
Sep 21 07:04:22 Updated: 1:samba-winbind-clients-3.6.0-72.fc16.x86_64
Sep 21 07:04:23 Updated: plymouth-graphics-libs-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:26 Updated: initscripts-9.32-2.fc16.x86_64
Sep 21 07:04:26 Updated: farsight2-0.0.30-1.fc16.x86_64
Sep 21 07:04:27 Updated: dracut-013-11.fc16.noarch
Sep 21 07:04:27 Updated: plymouth-scripts-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:30 Updated: plymouth-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:30 Updated: plymouth-plugin-label-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:30 Updated: plymouth-plugin-two-step-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:30 Updated: plymouth-theme-charge-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:33 Updated: 1:samba-common-3.6.0-72.fc16.x86_64
Sep 21 07:04:34 Updated: 1:folks-0.6.3-1.fc16.x86_64
Sep 21 07:04:35 Updated: 1:gnome-bluetooth-libs-3.1.92-1.fc16.x86_64
Sep 21 07:04:36 Updated: gtksourceview3-3.1.6-1.fc16.x86_64
Sep 21 07:04:36 Updated: OpenThreads-3.0.1-3.fc16.x86_64
Sep 21 07:04:38 Updated: OpenSceneGraph-libs-3.0.1-3.fc16.x86_64
Sep 21 07:04:41 Updated: 2:gedit-3.1.6-1.fc16.x86_64
Sep 21 07:04:44 Updated: 1:gnome-bluetooth-3.1.92-1.fc16.x86_64
Sep 21 07:04:47 Updated: empathy-3.1.92-1.fc16.x86_64
Sep 21 07:04:51 Updated: 1:samba-client-3.6.0-72.fc16.x86_64
Sep 21 07:04:51 Updated: plymouth-system-theme-0.8.4-0.20110822.2.fc16.x86_64
Sep 21 07:04:51 Updated: farsight2-python-0.0.30-1.fc16.x86_64
Sep 21 07:04:52 Updated: 1:libsmbclient-3.6.0-72.fc16.x86_64
Sep 21 07:04:53 Updated: usbutils-003-4.fc16.x86_64
Sep 21 07:04:54 Updated: firstboot-16.4-1.fc16.x86_64
Sep 21 07:04:55 Updated: checkpolicy-2.1.3-1.1.fc16.x86_64
Sep 21 07:04:55 Updated: espeak-1.45.05-3.fc16.x86_64
Sep 21 07:04:56 Updated: totem-pl-parser-2.32.6-1.fc16.x86_64
Sep 21 07:04:57 Updated: libdb-5.2.36-1.fc16.x86_64
Sep 21 07:04:58 Updated: lftp-4.3.2-1.fc16.x86_64
Sep 21 07:04:58 Updated: m4-1.4.16-2.fc16.x86_64
Sep 21 07:05:01 Updated: Zim-0.53-1.fc16.noarch
Sep 21 07:05:03 Updated: gnupg2-2.0.18-1.fc16.x86_64
Sep 21 07:05:03 Updated: krb5-libs-1.9.1-13.fc16.i686
Sep 21 07:05:04 Updated: libdb-5.2.36-1.fc16.i686
Sep 21 17:57:22 Installed: mousepad-0.2.16-4.fc15.x86_64
Sep 21 17:58:20 Erased: mousepad-0.2.16-4.fc15.x86_64

Sep 22 05:44:53 Updated: glib2-2.29.92-1.fc16.x86_64
Sep 22 05:44:53 Updated: atk-2.1.92-1.fc16.x86_64
Sep 22 05:44:56 Updated: gtk3-3.1.92-1.fc16.x86_64
Sep 22 05:44:57 Updated: json-glib-0.14.0-1.fc16.x86_64
Sep 22 05:44:58 Updated: 1:libreoffice-ure-3.4.3.2-10.fc16.x86_64
Sep 22 05:44:58 Updated: cogl-1.8.0-1.fc16.x86_64
Sep 22 05:44:59 Updated: gobject-introspection-1.30.0-1.fc16.x86_64
Sep 22 05:45:00 Updated: clutter-1.8.0-1.fc16.x86_64
Sep 22 05:45:01 Updated: libgnome-keyring-3.1.92-1.fc16.x86_64
Sep 22 05:45:01 Updated: clutter-gtk-1.0.2-4.fc16.x86_64
Sep 22 05:45:02 Updated: poppler-0.17.3-1.fc16.x86_64
Sep 22 05:45:02 Updated: clutter-gst-1.3.14-2.fc16.x86_64
Sep 22 05:45:03 Updated: poppler-glib-0.17.3-1.fc16.x86_64
Sep 22 05:45:05 Updated: libmx-1.3.1-2.fc16.x86_64
Sep 22 05:45:06 Updated: dconf-0.9.1-1.fc16.x86_64
Sep 22 05:45:06 Updated: liberation-fonts-common-1.07.1-1.fc16.noarch
Sep 22 05:45:07 Updated: evince-libs-3.1.90-2.fc16.x86_64
Sep 22 05:45:07 Updated: polkit-gnome-0.103-1.fc16.x86_64
Sep 22 05:45:08 Updated: kpathsea-2007-64.fc16.x86_64
Sep 22 05:45:24 Updated: texlive-2007-64.fc16.x86_64
Sep 22 05:45:24 Updated: texlive-dvips-2007-64.fc16.x86_64
Sep 22 05:45:26 Updated: liberation-mono-fonts-1.07.1-1.fc16.noarch
Sep 22 05:45:27 Updated: gjs-1.29.18-1.fc16.x86_64
Sep 22 05:45:27 Updated: at-spi2-core-2.1.92-1.fc16.x86_64
Sep 22 05:45:28 Updated: pyatspi-2.1.91-1.fc16.noarch
Sep 22 05:45:29 Updated: gnome-menus-3.1.92-1.fc16.x86_64
Sep 22 05:45:29 Updated: openldap-2.4.26-4.fc16.x86_64
Sep 22 05:45:32 Updated: GConf2-3.1.92-1.fc16.x86_64
Sep 22 05:45:33 Updated: xfce4-session-4.8.2-1.fc16.x86_64
Sep 22 05:45:35 Updated: gnome-session-3.1.92-1.fc16.x86_64
Sep 22 05:45:37 Updated: 1:gnome-games-3.1.92-1.fc16.x86_64
Sep 22 05:45:37 Updated: gnome-session-xsession-3.1.92-1.fc16.x86_64
Sep 22 05:45:38 Updated: gnome-panel-libs-3.1.92-1.fc16.x86_64
Sep 22 05:45:41 Updated: mutter-3.1.92-1.fc16.x86_64
Sep 22 05:45:42 Updated: caribou-0.3.92-1.fc16.x86_64
Sep 22 05:45:42 Updated: at-spi2-atk-2.1.92-1.fc16.x86_64
Sep 22 05:45:43 Updated: texlive-utils-2007-64.fc16.x86_64
Sep 22 05:45:45 Updated: evince-3.1.90-2.fc16.x86_64
Sep 22 05:45:47 Updated: liberation-serif-fonts-1.07.1-1.fc16.noarch
Sep 22 05:45:48 Updated: liberation-sans-fonts-1.07.1-1.fc16.noarch
Sep 22 05:45:48 Updated: adwaita-gtk3-theme-3.1.92-1.fc16.x86_64
Sep 22 05:45:49 Updated: 1:gnome-utils-libs-3.1.92-1.fc16.x86_64
Sep 22 05:45:50 Updated: libwnck3-3.1.92-1.fc16.x86_64
Sep 22 05:45:50 Updated: 2:gimp-libs-2.6.11-22.fc16.x86_64
Sep 22 05:45:52 Updated: glib-networking-2.29.92-1.fc16.x86_64
Sep 22 05:45:52 Updated: libsoup-2.35.92-1.fc16.x86_64
Sep 22 05:45:53 Updated: gnome-online-accounts-3.1.91-1.fc16.x86_64
Sep 22 05:45:53 Updated: libchamplain-0.12.0-1.fc16.x86_64
Sep 22 05:45:58 Updated: glib2-devel-2.29.92-1.fc16.x86_64
Sep 22 05:45:59 Updated: netpbm-10.47.30-1.fc16.x86_64
Sep 22 05:46:01 Updated: netpbm-progs-10.47.30-1.fc16.x86_64
Sep 22 05:46:04 Updated: gnome-user-docs-3.1.1-1.fc16.noarch
Sep 22 05:46:04 Updated: checkpolicy-2.1.3-1.2.fc16.x86_64
Sep 22 05:46:05 Updated: selinux-policy-3.10.0-32.fc16.noarch
Sep 22 05:46:07 Updated: 1:autocorr-de-3.4.3.2-10.fc16.noarch
Sep 22 05:46:08 Updated: yelp-xsl-3.1.6-1.fc16.noarch
Sep 22 05:46:08 Updated: 1:yelp-libs-3.1.4-1.fc16.x86_64
Sep 22 05:46:09 Updated: 1:yelp-3.1.4-1.fc16.x86_64
Sep 22 05:46:09 Updated: adwaita-cursor-theme-3.1.92-1.fc16.noarch
Sep 22 05:46:10 Updated: 1:autocorr-en-3.4.3.2-10.fc16.noarch
Sep 22 05:46:11 Updated: 1:libreoffice-opensymbol-fonts-3.4.3.2-10.fc16.noarch
Sep 22 05:46:33 Updated: 1:libreoffice-core-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:35 Updated: 1:libreoffice-writer-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:37 Updated: 1:libreoffice-calc-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:38 Updated: 1:libreoffice-base-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:40 Updated: 1:libreoffice-presenter-screen-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:42 Updated: 1:libreoffice-impress-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:43 Updated: 1:libreoffice-math-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:44 Updated: 1:libreoffice-pyuno-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:44 Updated: 1:libreoffice-emailmerge-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:44 Updated: 1:libreoffice-graphicfilter-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:45 Updated: 1:libreoffice-pdfimport-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:46 Updated: 1:libreoffice-draw-3.4.3.2-10.fc16.x86_64
Sep 22 05:46:46 Updated: p11-kit-0.6-1.fc16.x86_64
Sep 22 05:46:48 Updated: gnome-keyring-3.1.92-1.fc16.x86_64
Sep 22 05:46:49 Updated: gnome-keyring-pam-3.1.92-1.fc16.x86_64
Sep 22 05:46:49 Updated: 2:vim-filesystem-7.3.315-1.fc16.x86_64
Sep 22 05:46:52 Updated: 2:vim-common-7.3.315-1.fc16.x86_64
Sep 22 05:46:53 Updated: OpenThreads-3.0.1-4.fc16.x86_64
Sep 22 05:46:53 Updated: adwaita-gtk2-theme-3.1.92-1.fc16.x86_64
Sep 22 05:46:54 Updated: gnome-themes-standard-3.1.92-1.fc16.x86_64
Sep 22 05:46:55 Updated: gnome-desktop3-3.1.92-1.fc16.x86_64
Sep 22 05:46:58 Updated: nautilus-3.1.92-1.fc16.x86_64
Sep 22 05:46:59 Updated: nautilus-extensions-3.1.92-1.fc16.x86_64
Sep 22 05:47:00 Updated: gnome-settings-daemon-3.1.92-1.fc16.x86_64
Sep 22 05:47:04 Updated: 1:gdm-3.1.92-1.fc16.x86_64
Sep 22 05:47:05 Updated: file-roller-3.1.92-1.fc16.x86_64
Sep 22 05:47:07 Updated: 1:cheese-libs-3.1.92-1.fc16.x86_64
Sep 22 05:47:09 Updated: gnome-shell-3.1.92-1.fc16.x86_64
Sep 22 05:47:11 Updated: gnome-panel-3.1.92-1.fc16.x86_64
Sep 22 05:47:11 Updated: 1:cheese-3.1.92-1.fc16.x86_64
Sep 22 05:47:12 Updated: file-roller-nautilus-3.1.92-1.fc16.x86_64
Sep 22 05:47:12 Updated: 1:gdm-plugin-fingerprint-3.1.92-1.fc16.x86_64
Sep 22 05:47:13 Updated: gnome-power-manager-3.1.92-1.fc16.x86_64
Sep 22 05:47:15 Updated: evince-nautilus-3.1.90-2.fc16.x86_64
Sep 22 05:47:18 Updated: eog-3.1.92-1.fc16.x86_64
Sep 22 05:47:19 Updated: gnome-contacts-0.1.5.2-1.fc16.x86_64
Sep 22 05:47:20 Updated: gnome-screensaver-3.1.92-1.fc16.x86_64
Sep 22 05:47:22 Updated: OpenSceneGraph-libs-3.0.1-4.fc16.x86_64
Sep 22 05:47:27 Updated: 2:vim-X11-7.3.315-1.fc16.x86_64
Sep 22 05:47:29 Updated: seahorse-3.1.92-1.fc16.x86_64
Sep 22 05:47:30 Updated: 1:libreoffice-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:30 Updated: 1:libreoffice-presentation-minimizer-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:31 Updated: 1:libreoffice-ogltrans-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:32 Updated: 1:libreoffice-report-builder-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:34 Updated: 1:libreoffice-wiki-publisher-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:34 Updated: 1:libreoffice-rhino-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:34 Updated: 1:libreoffice-headless-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:35 Updated: 1:libreoffice-langpack-en-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:36 Updated: 1:libreoffice-bsh-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:39 Updated: 1:libreoffice-langpack-de-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:39 Updated: 1:libreoffice-javafilter-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:40 Updated: 1:libreoffice-xsltfilter-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:40 Updated: 1:libreoffice-kde-3.4.3.2-10.fc16.x86_64
Sep 22 05:47:41 Updated: simple-scan-3.1.91-1.fc16.x86_64
Sep 22 05:47:43 Updated: selinux-policy-targeted-3.10.0-32.fc16.noarch
Sep 22 05:47:59 Updated: texlive-latex-2007-64.fc16.x86_64
Sep 22 05:48:00 Updated: atk-devel-2.1.92-1.fc16.x86_64
Sep 22 05:48:00 Updated: libchamplain-gtk-0.12.0-1.fc16.x86_64
Sep 22 05:48:01 Updated: sushi-0.1.92-2.fc16.x86_64
Sep 22 05:48:03 Updated: rhythmbox-2.90.1-16.git20110829.fc16.x86_64
Sep 22 05:48:04 Updated: libgdata-0.10.1-1.fc16.x86_64
Sep 22 05:48:06 Updated: vino-3.1.92-1.fc16.x86_64
Sep 22 05:48:11 Updated: 2:gimp-2.6.11-22.fc16.x86_64
Sep 22 05:48:14 Updated: 1:gnome-utils-3.1.92-1.fc16.x86_64
Sep 22 05:48:16 Updated: 1:gnome-games-extra-3.1.92-1.fc16.x86_64
Sep 22 05:48:22 Updated: 1:gnome-games-help-3.1.92-1.fc16.noarch
Sep 22 05:48:22 Updated: xfce4-session-engines-4.8.2-1.fc16.x86_64
Sep 22 05:48:22 Updated: xfce4-session-devel-4.8.2-1.fc16.x86_64
Sep 22 05:48:23 Updated: GConf2-gtk-3.1.92-1.fc16.x86_64
Sep 22 05:48:24 Updated: gucharmap-3.1.92-1.fc16.x86_64
Sep 22 05:48:28 Updated: gnome-color-manager-3.1.92-2.fc16.x86_64
Sep 22 05:48:35 Updated: inkscape-0.48.1-8.fc16.x86_64
Sep 22 05:48:37 Updated: orca-3.1.92-1.fc16.x86_64
Sep 22 05:48:38 Updated: liberation-narrow-fonts-1.07.1-1.fc16.noarch
Sep 22 05:48:39 Updated: dconf-editor-0.9.1-1.fc16.x86_64
Sep 22 05:48:39 Updated: 1:totem-mozplugin-3.1.92-1.fc16.x86_64
Sep 22 05:48:40 Updated: poppler-utils-0.17.3-1.fc16.x86_64
Sep 22 05:48:44 Updated: vinagre-3.1.92-1.fc16.x86_64
Sep 22 05:48:48 Updated: gnome-packagekit-3.1.92-2.fc16.x86_64
Sep 22 05:48:48 Updated: gtk3-immodule-xim-3.1.92-1.fc16.x86_64
Sep 22 05:48:50 Updated: xfdesktop-4.8.3-1.fc16.x86_64
Sep 22 05:48:51 Updated: dracut-013-12.fc16.noarch
Sep 22 05:48:51 Updated: gtk-doc-1.18-1.fc16.noarch
Sep 22 05:48:52 Updated: 2:vim-minimal-7.3.315-1.fc16.x86_64
Sep 22 05:48:55 Updated: glib2-2.29.92-1.fc16.i686
Sep 22 05:48:56 Updated: atk-2.1.92-1.fc16.i686
Sep 22 05:48:57 Updated: openldap-2.4.26-4.fc16.i686
Sep 22 11:05:58 Installed: 1:aiksaurus-1.2.1-22.fc15.x86_64
Sep 22 11:05:59 Installed: 12:aspell-0.60.6-15.fc16.x86_64
Sep 22 11:06:01 Installed: t1lib-5.1.2-7.fc15.x86_64
Sep 22 11:06:02 Installed: wv-1.2.9-2.fc15.x86_64
Sep 22 11:06:03 Installed: link-grammar-4.7.4-1.fc16.x86_64
Sep 22 11:06:03 Installed: 1:aiksaurus-gtk-1.2.1-22.fc15.x86_64
Sep 22 11:06:03 Installed: ots-libs-0.5.0-4.fc15.x86_64
Sep 22 11:06:04 Installed: loudmouth-1.4.3-8.fc15.x86_64
Sep 22 11:06:05 Installed: lyx-fonts-2.0.1-2.fc16.noarch
Sep 22 11:06:06 Installed: gtkmathview-0.8.0-6.fc13.x86_64
Sep 22 11:06:08 Installed: 1:libabiword-2.8.6-14.fc16.x86_64
Sep 22 11:06:09 Installed: 1:abiword-2.8.6-14.fc16.x86_64
Sep 22 11:06:10 Installed: 50:aspell-en-7.1-2.fc15.x86_64

Comment 3 Joachim Backes 2011-09-22 11:01:38 UTC
Created attachment 524383 [details]
A simple writer doc (a4 landscape; writer prints it in portait format)

Comment 4 Joachim Backes 2011-09-22 11:04:18 UTC
I think it's has nothing to do with my printer: printing with abiword is correct, and if using "lp -o landscape ..." for simple text documents, they are printed correctly in landscape format.

Comment 5 Joachim Backes 2011-09-22 11:13:04 UTC
Additional hint: printing such an a4 landscape document to a PS file, then it should appear in this file rotated by 90 degrees, but this is not the case! It appears there without any rotation (remains landcape).

Comment 6 Caolan McNamara 2011-09-22 11:21:12 UTC
Ones eye is drawn to "fdo#35513 avoid crash while processing incorrect print range", but it might be an earlier change. If it worked at one point, and then not another it should be straightforward to find

Comment 7 Joachim Backes 2011-09-22 11:36:21 UTC
(In reply to comment #5)
> Additional hint: printing such an a4 landscape document to a PS file, then it
> should appear in this file rotated by 90 degrees, but this is not the case! It
> appears there without any rotation (remains landcape).

I have to rectify myself: if printing to a PS file, the pages remain unrotated in landscape layout in that file! Sorry!

Comment 8 Joachim Backes 2011-09-22 12:33:33 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > Additional hint: printing such an a4 landscape document to a PS file, then it
> > should appear in this file rotated by 90 degrees, but this is not the case! It
> > appears there without any rotation (remains landcape).
> 
> I have to rectify myself: if printing to a PS file, the pages remain unrotated
> in landscape layout in that file! Sorry!

What I meant: Even in a system printing landcape format correctly it seems that the page rotation is done during printing, and not in the postscript file generated by libreoffice :-)

Comment 9 Caolan McNamara 2011-09-28 16:06:35 UTC
if I disable setting the cups "InputSlot" key it works for me anyway. Hmm.

Comment 10 Caolan McNamara 2011-09-28 16:21:32 UTC
Created attachment 525362 [details]
pdf example

Comment 11 Caolan McNamara 2011-09-28 16:27:47 UTC
nope, it appears to be the PageSize option set with cupsAddOption

Sooo...

caolanm->twaugh: taking the attached landscape.pdf and if I manually do...

lp -o PageSize=A4 landscape.pdf

then I can reproduce the same problem we see with direct printing from LibreOffice, i.e. the "ZZZZ" part of the text gets truncated off my printout. Should we not set that ?

Comment 12 Caolan McNamara 2011-09-29 10:08:20 UTC
heh, and just as I sit down to debug this, yum update brings in changes which fix it already.

Seems to be a duplicate of 692165, and (in F-15 anyway, fixed with ghostscript-cups-9.04-3.fc15.x86_64, presumably since

* ghostscript-cups-9.02-2.fc15.x86_64
- pxl: match landscape page sizes (bug #692165)

Comment 13 Joachim Backes 2011-09-29 11:49:09 UTC
He, did you try the same in F16? There is no change in the bogous behaviour :-(

Comment 14 Joachim Backes 2011-09-29 11:53:22 UTC
(In reply to comment #13)
> He, did you try the same in F16? There is no change in the bogous behaviour :-(

Sorry, I meant: "buggy behaviour" (with ghostscript-cups-9.04-3.fc16.x86_64)

Comment 15 Joachim Backes 2011-10-05 06:24:09 UTC
Runs for me with cups-1.5.0-13.fc16.x86_64.


Note You need to log in before you can comment on or make changes to this bug.